## rgtk2 2.20.24

=== DESCRIPTION ===
Package: RGtk2
Version: 2.20.24
Title: R bindings for Gtk 2.8.0 and above
Author: Michael Lawrence <michafla@gene.com> and Duncan Temple Lang
        <duncan@wald.ucdavis.edu>
Depends: R (>= 2.5.0)
SystemRequirements: Cairo (>= 1.0.0), ATK (>= 1.10.0), Pango (>=
        1.10.0), GTK+ (>= 2.8.0), GLib (>= 2.8.0)
Maintainer: Michael Lawrence <michafla@gene.com>
Description: Facilities in the R language for programming graphical
        interfaces using Gtk, the Gimp Tool Kit.
License: GPL
URL: http://www.ggobi.org/rgtk2, http://www.omegahat.org
Encoding: UTF-8
Packaged: 2012-05-10 11:49:22 UTC; larman
Repository: CRAN
Date/Publication: 2012-05-10 16:30:17

## rgtk2 2.20.25

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RGtk2
-Version: 2.20.24
+Version: 2.20.25
 Title: R bindings for Gtk 2.8.0 and above
 Author: Michael Lawrence <michafla@gene.com> and Duncan Temple Lang
         <duncan@wald.ucdavis.edu>
@@ -12,6 +12,6 @@
 License: GPL
 URL: http://www.ggobi.org/rgtk2, http://www.omegahat.org
 Encoding: UTF-8
-Packaged: 2012-05-10 11:49:22 UTC; larman
+Packaged: 2012-08-17 14:23:31 UTC; larman
 Repository: CRAN
-Date/Publication: 2012-05-10 16:30:17
+Date/Publication: 2012-08-18 06:30:58

## rgtk2 2.20.31

=== DESCRIPTION ===
Package: RGtk2
Version: 2.20.31
Title: R bindings for Gtk 2.8.0 and above
Author: Michael Lawrence <michafla@gene.com> and Duncan Temple Lang <duncan@wald.ucdavis.edu>
Depends: R (>= 2.5.0)
SystemRequirements: Cairo (>= 1.0.0), ATK (>= 1.10.0), Pango (>=
        1.10.0), GTK+ (>= 2.8.0), GLib (>= 2.8.0)
Maintainer: Michael Lawrence <michafla@gene.com>
Description: Facilities in the R language for programming
  graphical interfaces using Gtk, the Gimp Tool Kit.
License: GPL
URL: http://www.ggobi.org/rgtk2, http://www.omegahat.org
Encoding: UTF-8
Packaged: 2014-07-19 13:12:02 UTC; larman
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-07-19 16:30:55

## rgtk2 2.20.33

=== DESCRIPTION ===
Package: RGtk2
Version: 2.20.33
Title: R Bindings for Gtk 2.8.0 and Above
Author: Michael Lawrence <michafla@gene.com> and Duncan Temple Lang <duncan@wald.ucdavis.edu>
Depends: R (>= 3.4.0)
Imports: methods
SystemRequirements: Cairo (>= 1.0.0), ATK (>= 1.10.0), Pango (>=
        1.10.0), GTK+ (>= 2.8.0), GLib (>= 2.8.0)
Maintainer: Michael Lawrence <michafla@gene.com>
Description: Facilities in the R language for programming
  graphical interfaces using Gtk, the Gimp Tool Kit.
License: GPL
URL: http://www.ggobi.org/rgtk2, http://www.omegahat.net
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2017-05-07 13:31:44 UTC; larman
Repository: CRAN
Date/Publication: 2017-05-10 12:19:03 UTC

## rgtk2 2.20.34

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RGtk2
-Version: 2.20.33
+Version: 2.20.34
 Title: R Bindings for Gtk 2.8.0 and Above
 Author: Michael Lawrence <michafla@gene.com> and Duncan Temple Lang <duncan@wald.ucdavis.edu>
 Depends: R (>= 3.4.0)
@@ -13,6 +13,6 @@
 URL: http://www.ggobi.org/rgtk2, http://www.omegahat.net
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2017-05-07 13:31:44 UTC; larman
+Packaged: 2017-08-13 23:18:45 UTC; larman
 Repository: CRAN
-Date/Publication: 2017-05-10 12:19:03 UTC
+Date/Publication: 2018-01-25 22:20:23 UTC

## rgtk2 2.20.35

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RGtk2
-Version: 2.20.34
+Version: 2.20.35
 Title: R Bindings for Gtk 2.8.0 and Above
 Author: Michael Lawrence <michafla@gene.com> and Duncan Temple Lang <duncan@wald.ucdavis.edu>
 Depends: R (>= 3.4.0)
@@ -13,6 +13,6 @@
 URL: http://www.ggobi.org/rgtk2, http://www.omegahat.net
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2017-08-13 23:18:45 UTC; larman
+Packaged: 2018-06-11 00:10:47 UTC; larman
 Repository: CRAN
-Date/Publication: 2018-01-25 22:20:23 UTC
+Date/Publication: 2018-06-12 15:59:48 UTC

=== debian/changelog ===
rgtk2 (2.20.35-2) unstable; urgency=medium

  * debian/control: Add versioned Depends: dh-r (>= 20180615)
  * debian/rules: Convert to (updated) dh-r

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Jun 2018 19:04:32 -0500

rgtk2 (2.20.35-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Jun 2018 22:23:24 -0500

rgtk2 (2.20.34-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Jan 2018 20:44:24 -0600

rgtk2 (2.20.33-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add ${misc:Depends} to Depends:

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 May 2017 21:08:44 -0500

rgtk2 (2.20.31-2) unstable; urgency=medium

  * debian/compat: Created
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Jun 2016 19:32:14 -0500

rgtk2 (2.20.31-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Jul 2014 10:58:17 -0500

rgtk2 (2.20.30-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Jul 2014 06:55:14 -0500

rgtk2 (2.20.29-1) unstable; urgency=low

  * New upstream release				(Closes: #746067)

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 May 2014 10:43:16 -0500

rgtk2 (2.20.27-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Feb 2014 16:55:33 -0600

rgtk2 (2.20.25-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2013 10:55:40 -0500

rgtk2 (2.20.25-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Aug 2012 07:17:20 -0500

rgtk2 (2.20.24.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Aug 2012 05:30:57 -0500

rgtk2 (2.20.24-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 May 2012 13:45:59 -0500

rgtk2 (2.20.23-1) unstable; urgency=low

  * New upstream release 
  * Contains upstream fix ia64 build issue		(Closes: #650760)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 May 2012 17:54:38 -0500

rgtk2 (2.20.21-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Jan 2012 16:03:40 -0600

rgtk2 (2.20.19-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Oct 2011 23:33:24 -0500

rgtk2 (2.20.17-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Aug 2011 07:03:19 -0500

rgtk2 (2.20.16-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Aug 2011 16:05:01 -0500

rgtk2 (2.20.14-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Jun 2011 06:46:18 -0500

rgtk2 (2.20.13-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Jun 2011 14:59:26 -0500

rgtk2 (2.20.12-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Apr 2011 19:35:03 -0500

rgtk2 (2.20.11-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Apr 2011 09:17:33 -0500

rgtk2 (2.20.8-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Jan 2011 15:32:06 -0600

rgtk2 (2.20.7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Jan 2011 10:00:54 -0600

rgtk2 (2.20.4-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Dec 2010 12:45:23 -0600

rgtk2 (2.20.3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 04 Nov 2010 19:15:11 -0500

rgtk2 (2.20.1-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Nov 2010 11:35:46 -0500

rgtk2 (2.12.18-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Feb 2010 16:47:02 -0600

rgtk2 (2.12.17-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: rgtk2
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 3.5.0), libgtk2.0-dev (>= 2.10.12), libglade2-dev, libpango1.0-dev, libcairo2-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rgtk2
Vcs-Git: https://salsa.debian.org/edd/r-cran-rgtk2.git
Homepage: https://cran.r-project.org/package=RGtk2

Package: r-cran-rgtk2
Architecture: any
Depends: ${R:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GNU R binding for Gtk2
 This package provides facilities in the S language (i.e. the language 
 which GNU R provides) for programming graphical interfaces using Gtk, 
 the GNOME GUI toolkit. 
 .
 This package extends and updates the previous r-omegahat-rgtk package to
 the 2.8 release of the Gtk libraries.

## rgtk2 2.20.36

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: RGtk2
-Version: 2.20.35
+Version: 2.20.36
 Title: R Bindings for Gtk 2.8.0 and Above
 Author: Michael Lawrence <michafla@gene.com> and Duncan Temple Lang <duncan@wald.ucdavis.edu>
 Depends: R (>= 3.4.0)
@@ -13,6 +13,6 @@
 URL: http://www.ggobi.org/rgtk2, http://www.omegahat.net
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2018-06-11 00:10:47 UTC; larman
+Packaged: 2019-03-03 23:20:52 UTC; larman
 Repository: CRAN
-Date/Publication: 2018-06-12 15:59:48 UTC
+Date/Publication: 2019-03-08 15:32:41 UTC

=== debian/changelog ===
rgtk2 (2.20.36-2) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Aug 2019 07:55:38 -0500

rgtk2 (2.20.36-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 09 Mar 2019 07:27:03 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 3.5.0), libgtk2.0-dev (>= 2.10.12), libglade2-dev, libpango1.0-dev, libcairo2-dev
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), dh-r (>= 20180615), r-base-dev (>= 3.6.1), libgtk2.0-dev (>= 2.10.12), libglade2-dev, libpango1.0-dev, libcairo2-dev
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rgtk2
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rgtk2.git
 Homepage: https://cran.r-project.org/package=RGtk2

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rgtk2 package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/RGtk2_(.*)\.tar.gz

## rgtk2 2.20.36.2

=== debian/changelog ===
rgtk2 (2.20.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Oct 2021 07:56:04 -0500

rgtk2 (2.20.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 Oct 2021 18:40:03 -0500

rgtk2 (2.20.36-3) unstable; urgency=medium

  * debian/control: Explicitly list build architecture capable of
    building, excluding s390x which does not (as well as a few more)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Oct 2021 07:43:25 -0500

=== debian/control ===
Source: rgtk2
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), dh-r (>= 20180615), r-base-dev (>= 4.1.1), libgtk2.0-dev (>= 2.10.12), libglade2-dev, libpango1.0-dev, libcairo2-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rgtk2
Vcs-Git: https://salsa.debian.org/edd/r-cran-rgtk2.git
Homepage: https://cran.r-project.org/package=RGtk2

Package: r-cran-rgtk2
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 riscv64 sh4 x32 
Depends: ${R:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GNU R binding for Gtk2
 This package provides facilities in the S language (i.e. the language 
 which GNU R provides) for programming graphical interfaces using Gtk, 
 the GNOME GUI toolkit. 
 .
 This package extends and updates the previous r-omegahat-rgtk package to
 the 2.8 release of the Gtk libraries.
